Loading...
Searching...
No Matches
etl::iforward_list< T >::iterator Class Reference

iterator. More...

`#include <forward_list.h>`

## Public Member Functions

| iterator (node_t *node)
| iterator (const iterator &other)
iterator & | operator++ ()
iterator | operator++ (int)
iterator | operator= (const iterator &other)
reference | operator* () const
pointer | operator& () const
pointer | operator-> () const

## Friends

class | iforward_list
class | const_iterator
bool | operator== (const iterator &lhs, const iterator &rhs)
bool | operator!= (const iterator &lhs, const iterator &rhs)

## Additional Inherited Members

Public Types inherited from etl::iterator< ETL_OR_STD::forward_iterator_tag, T >
typedef T | value_type
typedef ptrdiff_t | difference_type
typedef T * | pointer
typedef T & | reference
typedef ETL_OR_STD::forward_iterator_tag | iterator_category

## Detailed Description

template<typename T>
class etl::iforward_list< T >::iterator

iterator.

The documentation for this class was generated from the following file:

- include/etl/forward_list.h